WordPressとphpのバージョン対応表!PHPバージョンのサポート終了日とMySQLのバージョンも確認できます。

2021年12月15日 (更新日:2022年11月02日)

ワードプレスの推奨環境


・PHP バージョン 7.4 以上。
・MySQL バージョン 5.7 以上、または MariaDB バージョン 10.3 以上。
・HTTPS 対応

2022.10.29現在

https://ja.wordpress.org/about/requirements/

 

WordPressのバージョンに対応するPHPとMySQLのバージョン

WordPressバージョン PHPバージョン(動作環境) PHPバージョン(推奨環境) MySQL
6.0 – 6.1 5.6.2 – 8.1 7.4以上 5.7以上
5.9 5.6.2 – 8.1 7.4以上 5.7以上
5.7 – 5.8 5.6.2 – 8.0 7.4以上 5.6以上
5.6 5.6.2 – 8.0 7.4以上 5.6以上
5.5 5.6.2 – 7.4 7.4以上 5.6以上
5.3 – 5.4 5.6.2 – 7.3 7.3以上 5.6以上
5.2 5.6.2 – 7.3 7.3以上 5.6以上
5.0 – 5.1 5.2.4 – 7.3 7.3以上 5.6以上
4.9.5 – 4.9 5.2.4 – 7.2 7.2以上 5.6以上
4.9.5 – 4.9.x 5.2.4 – 7.2 7.2以上 5.6以上
4.9.0 – 4.9.4 5.2.4 – 7.2 7以上 5.6以上
4.7 – 4.8 5.2.4 – 7.1 7以上 5.6以上
4.4 – 4.6 5.2.4 – 7.0 5.6以上 5.6以上
4.0 5.2.4 – 5.6 5.6以上 5.6以上

注意: 古いバージョンの PHP や MySQL しか使えない古い環境にいる場合でも、WordPress は PHP 5.6.20以上及び MySQL 5.0以上で動きます。しかしこれらの古いバージョンは既に公式でサポートが終了しており、サイトを脆弱性にさらす危険性があります。

PHPバージョンのサポート終了日

バージョン リリース サポート終了
8.1 2021-11-25 2024-11-25
8.0 2020-11-26 2023-11-26
7.4 2019-11-28 2022-11-28
7.3 2018-12-06 2021-12-06
7.2 2017-11-30 2020-11-30
7.0 2015-12-03 2019-12-03
5.6 2014-08-28 2018-12-31

 

コスパ抜群!
Web広告・リスティング広告運用代行!

お問い合わせ

電話
055-231-3063
平日 9:00~17:00(休み:土日祝)

(株)山梨ニューメディアセンター

〒400-8545 山梨県甲府市北口2-6-10